Package ru.bitel.bgbilling.plugins.monitoring.common.bean

# Class MonitoringComponent

java.lang.Object
ru.bitel.bgbilling.plugins.monitoring.common.bean.MonitoringComponent

All Implemented Interfaces:
  `GuiTitlable`

public class MonitoringComponent extends Object implements GuiTitlable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MonitoringComponent.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MonitoringComponent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MonitoringComponent.Builder`
  `builder()`
  `int`
  `getAppId()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getModuleId()`
  `String`
  `getModuleName()`
  `String`
  `getObjectName()`
  `String`
  `getPluginId()`
  `String`
  `getTitle()`
  `MonitoringCompopentType`
  `getType()`
  `void`
  `setAppId(int appId)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setModuleName(String moduleName)`
  `void`
  `setObjectName(String objectName)`
  `void`
  `setPluginId(String pluginId)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(MonitoringCompopentType type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MonitoringComponent

    public MonitoringComponent()

- ## Method Details

  - ### getType

    public MonitoringCompopentType getType()

  - ### getAppId

    public int getAppId()

  - ### getModuleId

    public int getModuleId()

  - ### getPluginId

    public String getPluginId()

  - ### setType

    public void setType(MonitoringCompopentType type)

  - ### setAppId

    public void setAppId(int appId)

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### setPluginId

    public void setPluginId(String pluginId)

  - ### getTitle

    public String getTitle()

  - ### getModuleName

    public String getModuleName()

  - ### setTitle

    public void setTitle(String title)

  - ### setModuleName

    public void setModuleName(String moduleName)

  - ### getObjectName

    public String getObjectName()

  - ### setObjectName

    public void setObjectName(String objectName)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### builder

    public static MonitoringComponent.Builder builder()